import { jsx } from "react/jsx-runtime";
import { TokenWOM as TokenWOM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenWOM = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "WOM", "data-name": "TokenWOM", ...props, children: /* @__PURE__ */ jsx(TokenWOM$1, { variant }) });
  }
);
TokenWOM.displayName = "TokenWOM";
Object.assign(TokenWOM, { isGdsIcon: true });
export {
  TokenWOM
};
